<?php
/**
 * i-doit
 *
 * Module initializer
 *
 * @package     i-doit
 * @subpackage  Modules
 * @version     1.1
 * @copyright   synetics GmbH
 * @license     http://www.i-doit.com/license
 */

if (include_once('isys_module_templates_autoload.class.php')) {
    spl_autoload_register('isys_module_templates_autoload::init');
}

// @see ID-8772 register signal for autoinventory
$database = isys_application::instance()->container->get('database');
isys_application::instance()->container->get('signals')
    ->connect('mod.cmdb.templatesApplied', [isys_cmdb_dao_category_g_accounting::instance($database), 'templateAppliedAutoInventory']);
